Page MenuHomePhabricator

Port various Commons upload bots to core & move to separate repository
Closed, ResolvedPublic

Description

imagecopy.py
imagecopy_self.py
imageharvest.py
panoramiopicker.py

Maybe some others in the future.


Version: core-(2.0)
Severity: normal

Details

Reference
bz64856

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:14 AM
bzimport added a project: Pywikibot-General.
bzimport set Reference to bz64856.
bzimport added a subscriber: Unknown Object (????).

flickrripper and imagerecat.py also belong to this group, but they have already been ported. They might thus be useful as comparison, to see what has to be changed in porting.

Note: A lot of code duplication in these bots. Should probably be restructured into one or more libraries/scripts.

I think at first we need to move upload.py from scripts to pywikibot folder (and reconstruct it so it would be usable as part of the library) and after than we can work on porting (and rewriting) these scripts

jayvdb set Security to None.
jayvdb removed a subscriber: Unknown Object (????).
droid added a subscriber: droid.Dec 20 2014, 9:38 AM

Change 196630 had a related patch set uploaded (by Prianka):
Porting various Commons upload bots to core & moving to separate repository.

https://gerrit.wikimedia.org/r/196630

jayvdb added a subscriber: jayvdb.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptSep 3 2015, 4:28 AM
Restricted Application added a subscriber: Avicennasis. · View Herald TranscriptSep 23 2015, 11:59 PM

Change 196630 merged by jenkins-bot:
Porting various Commons upload bots to core from compat.

https://gerrit.wikimedia.org/r/196630

Xqt closed this task as Resolved.Apr 14 2016, 12:12 PM
Xqt claimed this task.
Xqt reassigned this task from Xqt to droid.Aug 24 2016, 4:38 PM
Xqt added a subscriber: Xqt.